Bug 161392 - BUG: soft lockup detected on CPU#0! when probing IDE interface ide1
BUG: soft lockup detected on CPU#0! when probing IDE interface ide1
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
4
i586 Linux
medium Severity medium
: ---
: ---
Assigned To: Kernel Maintainer List
Brian Brock
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-06-22 16:22 EDT by jar
Modified: 2007-11-30 17:11 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-07-02 15:54:28 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description jar 2005-06-22 16:22:16 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (Windows; U; Windows NT 5.0; en-US; rv:1.7.3) Gecko/20040910

Description of problem:
Soft lockup detected BUG appears when detecting IDE1. The pc is P166MMX with only one hard disk (hda). Anyhow, the boot process continues after theses BUG messages and the system seems to work properly. This is a new installation and hasn't had long uptime yet.

/dev/hda:
 Model=ST36451A, FwRev=840394, SerialNo=JG327757
 Config={ HardSect NotMFM HdSw>15uSec Fixed DTR>10Mbs }
 RawCHS=13328/15/63, TrkSize=36540, SectSize=580, ECCbytes=4
 BuffType=DualPortCache, BuffSize=448kB, MaxMultSect=16, MultSect=16
 CurCHS=13328/15/63, CurSects=12594960, LBA=yes, LBAsects=12594960
 IORDY=yes, tPIO={min:120,w/IORDY:120}, tDMA={min:120,rec:120}
 PIO modes:  pio0 pio1 pio2 pio3 pio4 
 DMA modes:  mdma0 mdma1 *mdma2 
 UDMA modes: udma0 udma1 udma2 
 AdvancedPM=no WriteCache=disabled
 Drive conforms to: device does not report version:  1 2 3

The pc boots cleanly & works 100% OK with FC2 (kernel-2.6.10-1.9_FC2)

Version-Release number of selected component (if applicable):
2.6.11-1.1369_FC4 

How reproducible:
Always

Steps to Reproduce:
1. Reboot
2.
3.
  

Actual Results:  Uniform Multi-Platform E-IDE driver Revision: 7.00alpha2
ide: Assuming 33MHz system bus speed for PIO modes; override with idebus=xx
PIIX3: IDE controller at PCI slot 0000:00:07.1
PIIX3: chipset revision 0
PIIX3: not 100% native mode: will probe irqs later
    ide0: BM-DMA at 0xe800-0xe807, BIOS settings: hda:DMA, hdb:pio
    ide1: BM-DMA at 0xe808-0xe80f, BIOS settings: hdc:pio, hdd:pio
Probing IDE interface ide0...
hda: ST36451A, ATA DISK drive
ide0 at 0x1f0-0x1f7,0x3f6 on irq 14
Probing IDE interface ide1...
BUG: soft lockup detected on CPU#0!

Pid: 1, comm:              swapper
EIP: 0060:[<c0110bcb>] CPU: 0
EIP is at delay_tsc+0xb/0x20
 EFLAGS: 00000287    Not tainted  (2.6.11-1.1369_FC4)
EAX: c4829933 EBX: 00028002 ECX: c4801af1 EDX: 00000001
ESI: c048b02c EDI: 000088b8 EBP: c048b02c DS: 007b ES: 007b
CR0: 8005003b CR2: 0809c880 CR3: 03f7d000 CR4: 00000010
 [<c0208c89>] __delay+0x9/0x10
 [<c02aa70c>] ide_wait_not_busy+0x3c/0x90
 [<c02ac238>] wait_hwif_ready+0x58/0x1b0
 [<c02ac471>] probe_hwif+0x51/0x4b0
 [<c02a540f>] ide_register_subdriver+0x1bf/0x330
 [<c02aeecd>] idedefault_attach+0xd/0x40
 [<c02ac8db>] probe_hwif_init_with_fixup+0xb/0x70
 [<c02b0860>] ide_setup_pci_device+0x70/0x80
 [<c0431f61>] ide_scan_pcidev+0x31/0x60
 [<c0431fad>] ide_scan_pcibus+0x1d/0x90
 [<c043165a>] probe_for_hwifs+0xa/0x20
 [<c04316b3>] ide_init+0x43/0x60
 [<c041682d>] do_initcalls+0x4d/0xb0
 [<c01002a0>] init+0x0/0xf0
 [<c01002bd>] init+0x1d/0xf0
 [<c01012b1>] kernel_thread_helper+0x5/0x14
 [<c014d737>] softlockup_tick+0x87/0x160
 [<c0108a93>] timer_interrupt+0x63/0x170
 [<c014d9b3>] handle_IRQ_event+0x33/0x60
 [<c014da9c>] __do_IRQ+0xbc/0x2e0
 [<c0105a81>] do_IRQ+0x51/0x90
 =======================
 [<c0103c4a>] common_interrupt+0x1a/0x20
 [<c0110bcb>] delay_tsc+0xb/0x20
 [<c0208c89>] __delay+0x9/0x10
 [<c02aa70c>] ide_wait_not_busy+0x3c/0x90
 [<c02ac238>] wait_hwif_ready+0x58/0x1b0
 [<c02ac471>] probe_hwif+0x51/0x4b0
 [<c02a540f>] ide_register_subdriver+0x1bf/0x330
 [<c02aeecd>] idedefault_attach+0xd/0x40
 [<c02ac8db>] probe_hwif_init_with_fixup+0xb/0x70
 [<c02b0860>] ide_setup_pci_device+0x70/0x80
 [<c0431f61>] ide_scan_pcidev+0x31/0x60
 [<c0431fad>] ide_scan_pcibus+0x1d/0x90
 [<c043165a>] probe_for_hwifs+0xa/0x20
 [<c04316b3>] ide_init+0x43/0x60
 [<c041682d>] do_initcalls+0x4d/0xb0
 [<c01002a0>] init+0x0/0xf0
 [<c01002bd>] init+0x1d/0xf0
 [<c01012b1>] kernel_thread_helper+0x5/0x14
ide1: Wait for ready failed before probe !
Probing IDE interface ide1...
BUG: soft lockup detected on CPU#0!

Pid: 1, comm:              swapper
EIP: 0060:[<c0110bcb>] CPU: 0
EIP is at delay_tsc+0xb/0x20
 EFLAGS: 00000287    Not tainted  (2.6.11-1.1369_FC4)
EAX: 249c5826 EBX: 00028002 ECX: 2499d8a5 EDX: 00000003
ESI: c048b02c EDI: 000088b8 EBP: c048b02c DS: 007b ES: 007b
CR0: 8005003b CR2: 080ba360 CR3: 03f57000 CR4: 00000010
 [<c0208c89>] __delay+0x9/0x10
 [<c02aa70c>] ide_wait_not_busy+0x3c/0x90
 [<c02ac238>] wait_hwif_ready+0x58/0x1b0
 [<c02ac471>] probe_hwif+0x51/0x4b0
 [<c02ad783>] ideprobe_init+0x63/0x157
 [<c0432035>] ide_generic_init+0x5/0x10
 [<c041682d>] do_initcalls+0x4d/0xb0
 [<c01002a0>] init+0x0/0xf0
 [<c01002bd>] init+0x1d/0xf0
 [<c01012b1>] kernel_thread_helper+0x5/0x14
 [<c014d737>] softlockup_tick+0x87/0x160
 [<c0108a93>] timer_interrupt+0x63/0x170
 [<c014d9b3>] handle_IRQ_event+0x33/0x60
 [<c014da9c>] __do_IRQ+0xbc/0x2e0
 [<c0105a81>] do_IRQ+0x51/0x90
 =======================
 [<c0103c4a>] common_interrupt+0x1a/0x20
 [<c0110bcb>] delay_tsc+0xb/0x20
 [<c0208c89>] __delay+0x9/0x10
 [<c02aa70c>] ide_wait_not_busy+0x3c/0x90
 [<c02ac238>] wait_hwif_ready+0x58/0x1b0
 [<c02ac471>] probe_hwif+0x51/0x4b0
 [<c02ad783>] ideprobe_init+0x63/0x157
 [<c0432035>] ide_generic_init+0x5/0x10
 [<c041682d>] do_initcalls+0x4d/0xb0
 [<c01002a0>] init+0x0/0xf0
 [<c01002bd>] init+0x1d/0xf0
 [<c01012b1>] kernel_thread_helper+0x5/0x14
ide1: Wait for ready failed before probe !
hda: max request size: 128KiB
hda: 12594960 sectors (6448 MB) w/448KiB Cache, CHS=13328/15/63, (U)DMA
hda: cache flushes not supported
 hda: hda1 hda2 hda3


Expected Results:  Probing IDE interface ide1...
ide1: Wait for ready failed before probe !
Probing IDE interface ide2...
ide2: Wait for ready failed before probe !
Probing IDE interface ide3...
ide3: Wait for ready failed before probe !
Probing IDE interface ide4...
ide4: Wait for ready failed before probe !
Probing IDE interface ide5...
ide5: Wait for ready failed before probe !

Additional info:
Comment 1 jar 2005-07-02 15:54:28 EDT
After upgrade from 2.6.11-1.1369_FC4 to 2.6.12-1.1387_FC4 the 'BUG: soft lockup
detected on CPU#0!' is gone.

Note You need to log in before you can comment on or make changes to this bug.